package cn.com.oa.mapper;

import cn.com.oa.model.FlowInstance;
import cn.com.oa.model.vo.FlowInstanceVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 */
public interface FlowInstanceMapper extends BaseMapper<FlowInstance> {

    List<Map<String, Object>> getSevenDayFlowInsCreateCount(@Param("flowInstance") FlowInstanceVo flowInstance);

    List<Map<String, Object>> getSevenDayFlowInsFinishCount(@Param("flowInstance") FlowInstanceVo flowInstance);

    IPage<FlowInstanceVo> selectPageAllDealing(Page<FlowInstanceVo> page, FlowInstanceVo flowInstance);

    List<Map<String, Object>> getMaxUseFlows(@Param("flowInstance") FlowInstanceVo flowInstance);

    Integer getTotalFlowInsCount(@Param("flowInstance") FlowInstanceVo flowInstance);

    List<FlowInstanceVo> listAllDealing(@Param("flowInstance") FlowInstanceVo flowInstance);

    List<FlowInstanceVo> getSevenDayFlowInfoIns();
}
